/*
 *   Mylyn Connector for Serena Business Mashups
 * 	 Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * 
 *   Serena, TeamTrack and Serena Business Mashup are 
 * 	 registered trademarks of SERENA Software Inc.
 */
package net.brutex.mylyn.sbmconnector.core;

import java.util.HashSet;
import java.util.Set;

import org.eclipse.mylyn.tasks.core.data.TaskData;
import org.eclipse.mylyn.tasks.core.data.TaskDataCollector;

public class SBMTaskDataCollector extends TaskDataCollector {


		final Set<TaskData> taskDataCollected = new HashSet<TaskData>();

		String queryTimestamp = null;

		@Override
		public void accept(TaskData taskData) {
			taskDataCollected.add(taskData);
		}

		public Set<TaskData> getTaskData() {
			return taskDataCollected;
		}

		public String getQueryTimestamp() {
			return queryTimestamp;
		}

		public void setQueryTimestamp(String queryTimestamp) {
			this.queryTimestamp = queryTimestamp;
		}
}


